get
https://api.solana.fm/v1/addresses//tokens
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
CNFTs owned by an account is not fully supported yet. The endpoint is still in Beta mode.Maximum number of ATAs to be returned is capped at 100 accounts.
Parameters
account-hash- The account/wallet hash to query for (Only supports user's wallet hash)tokenType- (optional) To filter the results by the retrieved token account type- Accepts one or more of the following field in string:
["CompressedNonFungible","Fungible","Legacy","NonFungible"] CompressedNonFungible:Filters the query result for all cNFT accountsFungible:Filters the query results for all Fungible tokens accounts held by the walletLegacy:Filters the query results for all the token accounts that holds legacy tokensNonFungible:Filters the query results for all the Non Fungible Token accounts held by the wallet
- Accepts one or more of the following field in string:
Results
Valid Account Hash
<object>- a JSON object containing:
pubkey:<String>, The account pubkey that you queried fortokens:<HashMap<String, object>>, A key-value mapping of the token accounts / token address to the token's account data
Invalid Account Hash
<object> - a JSON object containing the following fields if the requested account doesn't exist
code:<integer>, The error codemessage:<String>, An error message to indicate which part of the query went wrongstatus:<String>, The response status following the error code- 400 = Bad Request (client side)
- 500 = Internal Server Error (server side)
